Information Solutions: ICMS System Requirements

For complete ICMS functionality, the following software is required. Other software is unsupported.

Browsers

Mozilla Firefox 2.0+
Internet Explorer 7+
Webkit (Chrome or Safari)

E-mail Client

Thunderbird 2.0+

PDF Vieweing

Adobe Reader 9+